<?php

namespace App\Http\Controllers;

use App\Http\Requests\ProfileUpdateRequest;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;
use Illuminate\View\View;

class ProfileController extends Controller
{
    /**
     * Display the user's profile form.
     */
    public function edit(Request $request): View
    {
        return view('perfil', [
            'user' => $request->user(),
        ]);
    }

    /**
     * Update the user's profile information.
     */
    // public function update(ProfileUpdateRequest $request): RedirectResponse
    // {
    //     $request->user()->fill($request->validated());
    //       colummna ['aditional_info'] = json_encode(['tema' => campo['tema']]);

    //     if ($request->user()->isDirty('email')) {
    //         $request->user()->email_verified_at = null;
    //     }

    //     $request->user()->save();

    //     return Redirect::route('perfil')->with('status', 'profile-updated');
    // }

    public function update(ProfileUpdateRequest $request): RedirectResponse
    {
        $user = $request->user();
        
        // Actualiza los datos validados del usuario
        $user->fill($request->validated());

        // Si el email cambió, marcarlo como no verificado
        if ($user->isDirty('email')) {
            $user->email_verified_at = null;
        }

        // Actualiza el campo `aditional_info` con el tema
        $aditionalInfo = $user->aditional_info ? json_decode($user->aditional_info, true) : [];
        $aditionalInfo['tema'] = $request->input('tema'); // Obtiene el nuevo valor del tema
        $user->aditional_info = json_encode($aditionalInfo);

        $user->save();

        // Recargar la página sin mensaje
        return redirect()->route('perfil');
    }



    /**
     * Delete the user's account.
     */
    // public function destroy(Request $request): RedirectResponse
    // {
    //     $request->validateWithBag('userDeletion', [
    //         'password' => ['required', 'current_password'],
    //     ]);

    //     $user = $request->user();

    //     Auth::logout();

    //     $user->delete();

    //     $request->session()->invalidate();
    //     $request->session()->regenerateToken();

    //     return Redirect::to('/');
    // }
}
