<?php

namespace App\Livewire;

use Livewire\Component;

class Prueba extends Component
{
    public $nombre;
    public $apellido;

    protected $listeners = ['datosRecibidos']; // Define el listener

    public function datosRecibidos($datos)
    {
        //Procesar los datos recibidos
        $this->nombre = $datos['nombre'];
        $this->apellido = $datos['apellido'];

        // Opcional: Hacer algo con los datos.  Por ejemplo, guardarlos en la base de datos
        //dd($datos); // Para depurar y ver el contenido de $datos
        session()->flash('mensaje', "Nombre: {$this->nombre}, Apellido: {$this->apellido}, Variable JQuery: {$datos['variableJquery']}");
    }

    public function render()
    {
        return view('livewire.prueba');
    }
}

