<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Gasto extends Model
{
    use HasFactory;

    protected $table = 'gastos';

    protected $fillable = [
        'user_id',
        'estado',
        'valor',
        'responsable',
        'aditional_info'
    ];

    protected $casts = [
        'aditional_info' => 'json', // Convierte automáticamente la columna JSON a un array en PHP
    ];

    public function usuario()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
}

