<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Notificacion extends Model
{
    use HasFactory;

    protected $table = 'notificaciones';
    protected $fillable = ['cuenta', 'tipo_visita', 'supervisor', 'ejecutor', 'fecha', 'estado', 'observaciones', 'fecha_visita'];
    protected $casts = [
        'estructura' => 'array',
        'permisos' => 'array',
    ];

    public function supervisor()
    {
        return $this->belongsTo(User::class, 'supervisor');
    }

    public function notificador()
    {
        return $this->belongsTo(User::class, 'notificador');
    }
}


