<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Pago extends Model
{
    use HasFactory;

    protected $table = 'pagos';

    protected $fillable = [
        'recibo', 'cuenta', 'predial', 'recargos', 'rezago', 'multas',
        'gastos_cobranza', 'gastos_envio', 'gastos_notificacion', 'importe',
        'descuento', 'total', 'fecha_pago'
    ];

    // public function predio()
    // {
    //     return $this->belongsTo(Predio::class, 'cuenta', 'cuenta');
    // }

    public static function generarRecibo()
    {
        // Obtener el último recibo registrado
        $ultimoRecibo = self::latest('id')->first();
        
        // Extraer el número secuencial del último recibo
        if ($ultimoRecibo) {
            $ultimoNumero = substr($ultimoRecibo->recibo, 3); // Esto eliminaría '4LB' para obtener solo el número
        } else {
            // Si no hay recibos previos, comenzar desde 73288
            $ultimoNumero = 00001;
        }
        // Incrementar el número
        $nuevoNumero = str_pad($ultimoNumero + 1, 7, '0', STR_PAD_LEFT); // Incrementar y completar con ceros a la izquierda

        // El prefijo fijo '4LB' + el nuevo número
        return '4LB' . $nuevoNumero;
    }
}

