<?php

namespace App\Providers;
use Illuminate\Support\Facades\Gate;
use App\Models\Permiso;
use Illuminate\Support\Facades\Auth;

// use Illuminate\Support\Facades\Gate;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The model to policy mappings for the application.
     *
     * @var array<class-string, class-string>
     */
    protected $policies = [
        //
    ];

    /**
     * Register any authentication / authorization services.
     */
    public function boot(): void
    {
        Gate::define('permiso', function ($user, $tabla, $accion) {
            $permiso = Permiso::where('tabla', $tabla)->first();
            if (!$permiso) return false;
    
            $rolesUsuario = explode(',', $user->perfiles);
            $permisos = json_decode($permiso->roles_permisos, true);
    
            foreach ($rolesUsuario as $rol) {
                if (isset($permisos[$rol]['crud'][$accion]) && $permisos[$rol]['crud'][$accion] == 1) {
                    return true;
                }
            }
            return false;
        });
    
        // Gate para cambiar estado
        Gate::define('cambiar-estado', function ($user, $tabla, $estadoNuevo) {
            $permiso = Permiso::where('tabla', $tabla)->first();
            if (!$permiso) return false;
    
            $rolesUsuario = explode(',', $user->perfiles);
            $permisos = json_decode($permiso->roles_permisos, true);
    
            foreach ($rolesUsuario as $rol) {
                if (isset($permisos[$rol]['cambiar_estado']) && in_array($estadoNuevo, $permisos[$rol]['cambiar_estado'])) {
                    return true;
                }
            }
            return false;
        });
    }
}
