<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->json('aditional_info')->nullable();
            $table->json('perfiles')->nullable(); // Array de IDs de perfiles asignados
            $table->rememberToken();
            $table->timestamps();
        });

        DB::table('users')->insert([
            'name' => 'Admin',
            'email' => 'arboledaruben@gmail.com',
            'password' => Hash::make('12345678'),
            'aditional_info'=> '{"tema": "cosmo"}',
            'perfiles'=>'["admin"]',
            'created_at' => now(),
            'updated_at' => now(),
        ]);
        DB::table('users')->insert([
            'name' => 'Notificador',
            'email' => 'notificador@gmail.com',
            'password' => Hash::make('12345678'),
            'aditional_info'=> '{"tema": "cosmo"}',
            'perfiles'=>'["notificador"]',
            'created_at' => now(),
            'updated_at' => now(),
        ]);
        DB::table('users')->insert([
            'name' => 'Notificador 2',
            'email' => 'notificador2@gmail.com',
            'password' => Hash::make('12345678'),
            'aditional_info'=> '{"tema": "cosmo"}',
            'perfiles'=>'["notificador"]',
            'created_at' => now(),
            'updated_at' => now(),
        ]);
        DB::table('users')->insert([
            'name' => 'Supervisor',
            'email' => 'supervisor@gmail.com',
            'password' => Hash::make('12345678'),
            'aditional_info'=> '{"tema": "cosmo"}',
            'perfiles'=>'["supervisor"]',
            'created_at' => now(),
            'updated_at' => now(),
        ]);

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('users');
    }
};
