<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('modulos', function (Blueprint $table) {
            $table->id();
            $table->unsignedInteger('posicion')->nullable()->index();
            $table->string('nombre', 100)->index();
            $table->text('titulo')->nullable();
            $table->json('estructura')->nullable();;
            $table->json('permisos')->nullable();;
            $table->timestamps();
        });

        DB::table('modulos')->insert([
            'nombre' => 'uno',
            'titulo' => 'uno',
            'estructura' => '{"campos": [{"tipo": "number", "label": "Edad", "nombre": "edad", "obligatorio": false}, {"tipo": "email", "label": "Correo Electrónico", "nombre": "email", "obligatorio": true}, {"tipo": "string", "label": "Nombre", "nombre": "nombre", "obligatorio": true}, {"tipo": "date", "label": "Fecha de Nacimiento", "nombre": "fecha_nacimiento", "obligatorio": false}, {"tipo": "select", "label": "Género", "nombre": "genero", "opciones": ["Masculino", "Femenino", "Otro"], "obligatorio": true}, {"tipo": "tel", "label": "Teléfono", "nombre": "telefono", "obligatorio": false}]}',
            'created_at' => now(),
            'updated_at' => now(),
        ]);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('modulos');
    }
};
