<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('gastos', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained()->onDelete('cascade');
            $table->enum('estado', ['Pagada', 'Pendiente', 'Aplazada', 'Cancelada'])->default('Pendiente');
            $table->decimal('valor', 10, 2);
            $table->string('responsable');
            $table->json('info_adicional')->nullable(); // Para archivos, recibos, notas, revisión, etc.
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('gastos');
    }
};
