<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('permisos', function (Blueprint $table) {
            $table->id();
            $table->string('tabla'); // Nombre de la tabla a la que aplica el permiso
            $table->json('roles_permisos'); // Estructura JSON para cada rol
            $table->timestamps();
        });

        DB::table('permisos')->insert([
            'tabla' => 'gastos',
            'roles_permisos' => json_encode([
                'admin' => [
                    'crear' => 1,
                    'editar' => 1,
                    'eliminar' => 1,
                    'ver_todos' => 1
                ],
                'usuario' => [
                    'crear' => 1,
                    'editar' => 1,
                    'eliminar' => 0,
                    'ver_todos' => 0
                ]
            ]),
            'created_at' => now(),
            'updated_at' => now(),
        ]);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('permisos');
    }
};
