<?php
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up()
    {
        Schema::create('prediosImport', function (Blueprint $table) {
            $table->id(); // Crea un campo de tipo bigInteger y lo establece como llave primaria
            $table->string('cuenta'); // Campo cuenta único
            $table->string('clave_catastral'); // Campo para la clave catastral
            $table->string('nombre'); // Campo para el nombre del predio
            $table->string('domicilio_predio'); // Dirección del predio
            $table->string('calle'); // Calle donde se encuentra el predio
            $table->string('colonia'); // Colonia o barrio donde está el predio
            $table->string('poblacion'); // Población en la que se encuentra
            $table->string('domicilio_notificacion'); // Domicilio para notificaciones
            $table->decimal('valor_fiscal', 15, 2); // Valor fiscal con 2 decimales
            $table->decimal('tasa', 5, 2); // Tasa con 2 decimales
            $table->date('inicio')->nullable();
            $table->date('fin')->nullable();
            $table->decimal('impuesto', 15, 2); // Campo para el impuesto con 2 decimales
            $table->decimal('recargos', 15, 2); // Campo para los recargos con 2 decimales
            $table->decimal('rezagos', 15, 2); // Campo para los rezagos con 2 decimales
            $table->decimal('gastos', 15, 2); // Campo para los gastos con 2 decimales
            $table->decimal('multas', 15, 2); // Campo para las multas con 2 decimales
            $table->decimal('adeudo', 15, 2); // Campo para el adeudo con 2 decimales
            $table->integer('historico')->nullable(); // Campo para el histórico
            $table->integer('notificador')->nullable(); // Campo para el notificador
            $table->integer('creado_por')->nullable(); // Campo para la persona que creó el registro
            $table->timestamps(); // Campos de timestamps (created_at, updated_at)
        });

    }

    public function down()
    {
        Schema::dropIfExists('prediosImport');
    }
};

