<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up()
    {
        Schema::create('pagos', function (Blueprint $table) {
            $table->id();
            $table->string('recibo')->unique();
            $table->string('cuenta'); 
            $table->decimal('predial', 15, 2);
            $table->decimal('recargos', 15, 2);
            $table->decimal('rezago', 15, 2);
            $table->decimal('multas', 15, 2);
            $table->decimal('gastos_cobranza', 15, 2);
            $table->decimal('gastos_envio', 15, 2);
            $table->decimal('gastos_notificacion', 15, 2);
            $table->decimal('importe', 15, 2)->virtualAs('predial + recargos + rezago + multas + gastos_cobranza + gastos_envio + gastos_notificacion');
            $table->decimal('descuento', 15, 2);
            $table->decimal('total', 15, 2)->virtualAs('importe - descuento');
            $table->date('fecha_pago');
            $table->string('estado');
            $table->integer('creado_por')->nullable();
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('pagos');
    }
};

