<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('notificaciones', function (Blueprint $table) {
            $table->id();
            $table->string('cuenta'); // Tipo de visita
            $table->string('tipo_visita'); // Tipo de visita
            $table->string('supervisor'); // Inspector responsable
            $table->string('ejecutor'); // Ejecutor de la acción
            $table->timestamp('fecha'); // Fecha de la notificación
            $table->string('estado'); // Estado de la notificación
            $table->text('observaciones')->nullable(); // Observaciones
            $table->string('clasificacion')->nullable(); // Clasificación de la visita
            $table->timestamp('fecha_visita')->nullable(); // Fecha de la visita
            $table->string('soporte')->nullable(); // Nombre del archivo de soporte
            $table->timestamps(); // created_at y updated_at
        });

        DB::table('notificaciones')->insert([
                'cuenta' => 'U002603',
                'tipo_visita' => 'Notificacion',
                'supervisor' => '1',
                'ejecutor' => '1',
                'fecha' => '2024-02-01 09:21:00',
                'estado' => 'Pendiente',
                'observaciones' => 'Esta es una notificación de Prueba',
                'fecha_visita' => '2024-02-27 09:25:00',
                'created_at' => now(),
                'updated_at' => now(),
            ]);
            DB::table('notificaciones')->insert([
                'cuenta' => 'U002603',
                'tipo_visita' => 'Notificacion',
                'supervisor' => '1',
                'ejecutor' => '1',
                'fecha' => '2024-02-01 09:21:00',
                'estado' => 'En Proceso',
                'observaciones' => 'Predio abandonado',
                'fecha_visita' => '2024-01-20 09:25:00',
                'created_at' => now(),
                'updated_at' => now(),
            ]);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('notificaciones');
    }
};
