@php
    $aditionalInfo = json_decode(optional(auth()->user())->aditional_info, true);
    $userTheme = $aditionalInfo['tema'] ?? 'quartz';
    $cssPath = "assets/css/{$userTheme}/bootstrap.min.css";

    // Si el archivo no existe, usa el tema 'quartz'
    if (!file_exists(public_path($cssPath))) {
        $cssPath = "assets/css/quartz/bootstrap.min.css";
    }
@endphp

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Documento</title>
    @livewireStyles

    <script>
        var userTheme = localStorage.getItem("userTheme") || "{{ $userTheme }}";
        localStorage.setItem("userTheme", userTheme); // Guardar en localStorage
    </script>

    <link rel="stylesheet" href="{{ asset($cssPath) }}">
    
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css">
    
    <style>
        /* Estilos personalizados para el diseño */
        body {
            display: flex;
            flex-direction: column;
            min-height: 100vh; /* Asegura que el cuerpo ocupe toda la altura de la pantalla */
        }

        .contenido {
            flex: 1; /* Permite que el contenido principal se expanda */
            display: flex;
            justify-content: center; /* Centra el contenido horizontalmente */
            align-items: center; /* Centra el contenido verticalmente */
            padding: 20px;
        }

        .btn-lateral {
            /* Estilos para el botón lateral */
            position: fixed; /* Fija el botón a la pantalla */
            top: 5%; /* Coloca el botón en el centro verticalmente */
            left: 20px; /* Coloca el botón a la izquierda */
            transform: translateY(-50%); /* Ajusta la posición verticalmente */
            z-index: 100;
        }
        .navbar{
            padding-left: 10%;
        }
        .offcanvas-header{
            padding-top: 15%;
        }
        .offcanvas-body {
            flex-grow: 1;
            padding: 0%;
            overflow-y: auto;
        }
        .mensaje-flash {
            position: absolute; /* Lo fija a la pantalla */
            top: 20px; /* Margen superior */
            left: 50%; /* Centrado horizontal */
            transform: translateX(-50%); /* Ajuste para centrar */
            z-index: 1050; /* Asegura que esté por encima de otros elementos */
        }
        .form-control:focus {
            color: var(--bs-primary);
        }
        #reloj {
            text-align: center;
            position: fixed;
            bottom: 5px;
            left: 50%;
            transform: translateX(-50%);
            font-size: 18px;
            background-color: #00000099;
            color: white;
            padding: 10px 20px; /* Aumenta el padding horizontal */
            border-radius: 5px;
            box-shadow: 0 4px 8px #00000033;
            width: auto; /* Ajusta el tamaño según el contenido */
            white-space: nowrap; /* Evita que el texto se divida en varias líneas */
        }


    </style>
    @stack('styles') 
</head>
<body>
    
    @include('layouts.navigation')
    <div class="contaniner ">
        @yield('content')
        {{ $slot }}
    </div>  
    <div id="reloj" class="reloj"></div>
</body>
@livewireScripts
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<link href="http://testing.test/assets/toastr/toastr.min.css" rel="stylesheet">
<script src="http://testing.test/assets/toastr/toastr.min.js"></script>
<link href="http://testing.test/assets/gridstack/gridstack.min.css" rel="stylesheet">
<script src="http://testing.test/assets/gridstack/gridstack.min.js"></script>
{{-- <link href="http://testing.test/assets/editableSelect/jquery-editables-select.css" rel="stylesheet">
<script src="http://testing.test/assets/editableSelect/jquery-editable-select.js"></script> --}}
{{-- <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script> --}}

<!-- Incluir Dropzone.js desde CDN -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.9.3/min/dropzone.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.9.3/min/dropzone.min.js"></script>


    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>
    <script>
       $(document).ready(function () {
        
            $("#menu-toggle").click(function () {
                $("#sidebar").toggleClass("collapsed");
            });

            $(document).ready(function() {
            // Obtener la URL actual sin parámetros ni barra final
            var urlActual = window.location.pathname.replace(/\/$/, '');
            console.log("URL Actual:", urlActual);

            $('.list-group a').each(function() {
                var enlaceHref = $(this).attr('href');

                if (enlaceHref) {
                    // Extraer solo la ruta relativa de la URL completa
                    var rutaEnlace = new URL(enlaceHref, window.location.origin).pathname.replace(/\/$/, '');
                    console.log("Comparando con:", rutaEnlace);

                    // Aplicar la clase 'active' si coincide con la URL actual
                    if (urlActual === rutaEnlace) {
                        $(this).addClass('active');
                    }
                }
            });
        });


            
            function cambiarTema(tema) {
                $("body").attr("data-bs-theme", tema);
                if (tema === "dark") {
                    $("body").addClass("bg-dark text-white").removeClass("bg-light text-primary");
                    $(".card").addClass("bg-secondary text-white").removeClass("bg-light text-dark");
                    $(".navbar").addClass("navbar-light bg-light").removeClass("navbar-dark bg-dark");
                    $("#iconoTema").removeClass("bi-sun").addClass("bi-moon");
                    $(".accordion-button").addClass("text-dark").removeClass("text-white");
                    
                } else {
                    $("body").addClass("bg-light text-primary").removeClass("bg-dark text-white");
                    $(".card").addClass("bg-light text-dark").removeClass("bg-secondary text-white");
                    $(".navbar").addClass("navbar-dark bg-dark").removeClass("navbar-light bg-light");
                    $("#iconoTema").removeClass("bi-moon").addClass("bi-sun");
                    $(".accordion-button").addClass("text-white").removeClass("text-dark");
                }
            }


                function actualizarReloj() {
                    var fecha = new Date();
                    var horas = String(fecha.getHours()).padStart(2, '0');
                    var minutos = String(fecha.getMinutes()).padStart(2, '0');
                    var segundos = String(fecha.getSeconds()).padStart(2, '0');
                    var dia = String(fecha.getDate()).padStart(2, '0');
                    var mes = String(fecha.getMonth() + 1).padStart(2, '0'); // Meses son 0 indexados
                    var año = fecha.getFullYear();

                    var fechaHora = `${dia}/${mes}/${año} <span style="display:block;"></span> ${horas}:${minutos}:${segundos}`;

                    $('#reloj').html(fechaHora);
                }

                setInterval(actualizarReloj, 1000); // Actualiza cada segundo
                actualizarReloj(); // Ejecutar una vez al cargar la página

                // Obtener el tema actual del localStorage (si existe)
                let temaGuardado = localStorage.getItem('tema');

                // Establecer el tema inicial
                if (temaGuardado) {
                cambiarTema(temaGuardado);
                } else if (window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches) {
                cambiarTema('dark'); // Establecer tema oscuro si el usuario tiene preferencia por él
                } else {
                cambiarTema('light'); // Establecer tema claro por defecto
                }


                // Botón de cambio de tema
                $("#btnCambiarTema").click(function() {
                let temaActual = $("body").attr("data-bs-theme");
                let nuevoTema = temaActual === "light" ? "dark" : "light";
                cambiarTema(nuevoTema);

                // Guardar el tema en el localStorage
                localStorage.setItem('tema', nuevoTema);
                });

    

    var userTheme = localStorage.getItem("userTheme") || "quartz";
    var cssPath = "/assets/css/" + userTheme + "/bootstrap.min.css";

    // Verificar si el archivo existe antes de aplicarlo
    $.get(cssPath)
        .done(function () {
            $("#themeStylesheet").attr("href", cssPath);
        })
        .fail(function () {
            $("#themeStylesheet").attr("href", "/assets/css/quartz/bootstrap.min.css"); // Tema por defecto
            localStorage.setItem("userTheme", "quartz"); // Reajustar en localStorage
        });

    
});


    document.addEventListener("DOMContentLoaded", function() {
        if (typeof Livewire === 'undefined') {
            console.error("Livewire no esta definido");
        }
    });

    var userTheme = localStorage.getItem("userTheme") || "{{ $userTheme }}";
    localStorage.setItem("userTheme", userTheme); // Guardar en localStorage

</script>

@stack('scripts') 

</html>