@if (Auth::check())
<nav class="z-3 navbar navbar-expand navbar-dark bg-dark static-top">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">
      <img src="https://placeholder.pics/svg/150x50/888888/EEE/Logo" alt="..." height="36">
    </a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent" data-bs-theme="dark">
      <ul class="navbar-nav ms-auto">
        <li class="nav-item dropdown" data-bs-theme="light">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
              {{ auth()->user()->name ?? 'Usuario' }}
          </a>
          <ul class="z-3 dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
              <li class="dropdown-header">
                  {{ auth()->user()->email ?? 'Sin correo' }}
              </li>
              <li><a class="dropdown-item" href="{{ route('perfil') }}">Perfil</a></li>
              <li><a class="dropdown-item" href="{{ route('personalizar') }}">Personalizar</a></li>
              <li><a class="dropdown-item" href="{{ route('ayuda') }}">Ayuda</a></li>
              <li><hr class="dropdown-divider"></li>
              <li>
                  <form method="POST" action="{{ route('salir') }}">
                      @csrf
                      <button type="submit" class="dropdown-item text-danger">Salir</button>
                  </form>
              </li>
          </ul>
      </li>
      
        <li class="nav-item">
          <button class="btn btn-light" id="btnCambiarTema">
            <i id="iconoTema" class="bi bi-sun"></i>
          </button>
        </li>
      </ul>
    </div>
  </div>
</nav>

<button class="btn btn-primary btn-lateral" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasExample" aria-controls="offcanvasExample">
    <i class="bi bi-list"></i>
</button>


  <div class="offcanvas offcanvas-start" tabindex="-1" id="offcanvasExample" aria-labelledby="offcanvasExampleLabel">
    <div class="offcanvas-header">
      <h1>Modulos</h1>
      <button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Close"></button>
    </div>
    <div class="offcanvas-body">
      <div class="list-group">
        <a href="/dashboard" class="list-group-item list-group-item-action">Panel</a>
        @if(in_array('notificador', auth()->user()->perfiles ?? []) || in_array('admin', auth()->user()->perfiles ?? []))
          <a href="{{ route('apremios') }}" class="list-group-item list-group-item-action">Apremios</a>
        @endif
        @if(in_array('admin', auth()->user()->perfiles ?? []))
            <a href="{{ route('usuarios') }}" class="list-group-item list-group-item-action">Usuarios</a>
            <a href="{{ route('predios') }}" class="list-group-item list-group-item-action">Asignar Predios</a>
            <a href="{{ route('notificaciones') }}" class="list-group-item list-group-item-action">Notificaciones</a>
            <a href="{{ route('importar') }}" class="list-group-item list-group-item-action">Importar Registros</a>
            <a href="{{ route('importarPagos') }}" class="list-group-item list-group-item-action">Importar Pagos</a>
            
        @endif
        

      </div>
    </div>
  </div>
@endif