<div class="container mt-5">
    <div class="row justify-content-center">
        <div class="col-md-4">
            <div class="card">
                <div class="card-header text-center">Dashboard</div>
            </div>
        </div>
        <div class="list-group">
            <a href="#" class="list-group-item list-group-item-action active">Cras justo odio</a>
            <a href="#" class="list-group-item list-group-item-action">Dapibus ac facilisis in</a>
            <a href="#" class="list-group-item list-group-item-action disabled">Morbi leo risus</a>
          </div>
    </div>
    <div class="container pb-4">
        <h2>Paneles Dinámicos con GridStack</h2>
        <div class="grid-stack"></div>
    </div>
        
    </div>
</div>
@push('styles')
<style>
    body {
        font-family: Arial, sans-serif;
        background: #f4f4f4;
        margin: 0;
        padding: 20px;
    }

    .grid-stack {
        background: #ffffff;
        padding: 11px;
        padding-bottom: 60px;
        border-radius: 10px;
        margin: auto;
        max-width: 100%;
        
    }

    .grid-stack-item-content {
        background: #ffffff;
        border-radius: 10px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.15);
        padding: 10px;
        display: flex;
        flex-direction: column;

    }

    .panel-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        background: #007bff;
        color: white;
        padding: 8px 12px;
        border-radius: 8px 8px 0 0;
        font-weight: bold;
    }

    .panel-header button {
        background: none;
        border: none;
        color: white;
        cursor: pointer;
        font-size: 16px;
        transition: transform 0.2s;
    }

    .panel-header button:hover {
        transform: scale(1.2);
    }

    .panel-body {
        flex-grow: 1;
        padding: 1px;
        overflow: auto;
        background: #fff;
        border-radius: 0 0 10px 10px;
    }

</style>
@endpush

@push('scripts') 
<script>
    $(document).ready(function () {
        var items = [
            { "id": "panel-1", "titulo": "Usuarios", "x": 0, "y": 0, "w": 2, "h": 2 },
            { "id": "panel-2", "titulo": "Ventas", "x": 2, "y": 0, "w": 2, "h": 2 },
            { "id": "panel-3", "titulo": "Productos", "x": 0, "y": 2, "w": 4, "h": 2 }
        ];

        var grid = GridStack.init();

        items.forEach(item => {
            var panel = $(`
                <div class="grid-stack-item" gs-w="${item.w}" gs-h="${item.h}" gs-x="${item.x}" gs-y="${item.y}">
                    <div class="grid-stack-item-content">
                        <div class="panel-header">
                            <span>${item.titulo}</span>
                            <button class="reload" data-panel="${item.id}">🔄</button>
                        </div>
                        <div class="panel-body" id="${item.id}">Contenido aquí...</div>
                    </div>
                </div>
            `);

            grid.addWidget(panel.get(0));

        });

        

        // Acción de recarga al hacer clic en el botón 🔄
        
    });
</script>
@endpush

