<div>
    <!-- Mensaje de éxito o error -->
   <h1 class="my-2 text-center">Cargar archivo de registros </h1>
    <div class="row justify-content-center my-3">
        <div class="col-md-6">
            <!-- Acordeón para el formulario -->
            <div class="accordion" id="formAccordion">
                <div class="accordion-item">
                    <h2 class="accordion-header" id="headingOne">
                        <button class="accordion-button bg-primary text-white" type="button" data-bs-toggle="collapse" data-bs-target="#collapseForm" aria-expanded="false" aria-controls="collapseForm">
                            Cargar Archivo (XLSX, XLS, CSV)
                        </button>
                    </h2>
                    <div id="collapseForm" class="accordion-collapse collapse" aria-labelledby="headingOne" data-bs-parent="#formAccordion">
                        <div class="accordion-body">
                            <!-- Formulario para cargar el archivo -->
                            <form wire:submit.prevent="import" enctype="multipart/form-data">
                                @csrf
                                <div class="form-group">
                                    <input type="file" id="file" wire:model="file" class="form-control" accept=".xlsx,.xls,.csv" />
                                </div>
                                <button type="submit" class="btn btn-primary mt-3">Cargar Archivo</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    
        <div class="col-6 text-end">
            <!-- Botón para recargar página -->
            <button onclick="location.href=location.origin + location.pathname;" class="btn btn-light" 
                    data-bs-toggle="popover" data-bs-placement="top" data-bs-trigger="hover" 
                    data-bs-content="Recargar sitio">
                <i class="bi bi-arrow-clockwise"></i>
            </button>
            <!-- Selector de paginación -->
            <select wire:model="perPage" class="form-select d-inline-block w-auto" id="paginationSelect" 
                    data-bs-toggle="popover" data-bs-placement="top" data-bs-trigger="hover" data-bs-content="Paginación de la tabla">
                <option value="5">5</option>
                <option value="10">10</option>
                <option value="15">15</option>
                <option value="20">20</option>
                <option value="50">50</option>
            </select>
        </div>
    </div>

    @error('file') 
        <span class="text-danger">{{ $message }}</span>
    @enderror

    @if (session()->has('message'))
    <div class="alert alert-success">
        {{ session('message') }}
    </div>
    @elseif (session()->has('error'))
        <div class="alert alert-danger">
            {{ session('error') }}
        </div>
    @endif

    <div class="d-flex justify-content-between align-items-center mb-3">
        <h5>Total de registros: {{ $predios->total() }}</h5>
    </div>


    <div class="row">
        <div class="table-responsive">
            <table class="table table-striped mb-4">
                <thead class="table-light text-center">
                    <tr>
                        <th>Cuenta</th>
                        <th>Clave Catastral</th>
                        <th>Nombre</th>
                        <th>Domicilio Predio</th>
                        <th>Calle</th>
                        <th>Colonia</th>
                        <th>Población</th>
                        <th>Domicilio Notificación</th>
                        <th>Valor fiscal</th>
                        <th>Inicio</th>
                        <th>Fin</th>
                        
                    </tr>
                </thead>
                <tbody>
                    @foreach($predios as $predio)
                        <tr>
                            <td>{{ $predio->cuenta }}</td>
                            <td>{{ $predio->clave_catastral }}</td>
                            <td>{{ $predio->nombre }}</td>
                            <td>{{ $predio->domicilio_predio }}</td>
                            <td>{{ $predio->calle }}</td>
                            <td>{{ $predio->colonia }}</td>
                            <td>{{ $predio->poblacion }}</td>
                            <td>{{ $predio->domicilio_notificacion }}</td>
                            <td>{{ $predio->valor_fiscal }}</td>
                            <td>{{ $predio->inicio }}</td>
                            <td>{{ $predio->fin }}</td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>

    <!-- Paginación con buena visibilidad -->
    <div class="d-flex justify-content-end mt-3">
        {{ $predios->links() }}
    </div>
    <div class="mb-5"><br></div>

    @push('scripts')
    <script>
    $(document).ready(function () {
        $('#paginationSelect').on('change', function() {
            @this.set('perPage', $(this).val());
        });
    })
    </script>
    @endpush

</div>
