<div class="container-fluid">
    

    <div>
        <div class="d-flex justify-content-between mb-3">
            <h3>Gestión de Predios</h3>
        </div>

        <p class="alert alert-warning center-text" wire:offline>
            Ops!!!!, te has desconectado del sistema, los cambios que hagas no se guardarán. Verifica tu conexión.
        </p>

        <div class="row mb-3">
            <div class="col-4">
                <input type="text" wire:model.debounce.500ms="search" class="form-control" placeholder="Buscar..." id="searchInput" data-bs-toggle="popover" data-bs-placement="top" data-bs-trigger="hover focus" data-bs-content="Escriba en este campo una opcion de busqueda en la base de datos.">
            </div>
            <div class="col-3">
                <select class="form-select fil_noti" aria-label="Seleccione" data-bs-toggle="popover" data-bs-placement="top" data-bs-trigger="hover focus" data-bs-content="Selecciones una opcion para filtrar en la base de datos.">
                    <option value="" selected>Filtrar por notificador</option>
                    <option value="*">Todos</option>
                    <option value="vacio">Sin Asignar</option>
                    @foreach($notificadores as $notificador)
                        <option value="{{ $notificador->id }}">{{ $notificador->name }}</option>
                    @endforeach
                </select>
            </div>
            <div class="col-5 text-end">
                <button onclick="location.href=location.origin + location.pathname;" class="btn btn-light" 
                        data-bs-toggle="popover" data-bs-placement="top" data-bs-trigger="hover" 
                        data-bs-content="Recargar sitio">
                    <i class="bi bi-arrow-clockwise"></i>
                </button>
                <select wire:model="perPage" class="form-select d-inline-block w-auto" id="paginationSelect" data-bs-toggle="popover" data-bs-placement="top" data-bs-trigger="hover" data-bs-content="Paginación de la tabla">
                    <option value="5">5</option>
                    <option value="10">10</option>
                    <option value="15">15</option>
                    <option value="20">20</option>
                    <option value="50">50</option>
                </select>
            </div>
        </div>

        <div class="table-responsive">
            <table class="table table-striped">
                <thead class="table-light">
                    <tr>
                        <th>Cuenta</th>
                        <th>Clave Catastral</th>
                        <th>Nombre</th>
                        <th>Domicilio Predio</th>
                        <th>Calle</th>
                        <th>Colonia</th>
                        <th>Población</th>
                        <th>Domicilio Notificación</th>
                        <th>Notificador Asignado</th>
                        <th>Detalles</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($predios as $predio)
                        <tr>
                            <td>{{ $predio->cuenta }}</td>
                            <td>{{ $predio->clave_catastral }}</td>
                            <td>{{ $predio->nombre }}</td>
                            <td>{{ $predio->domicilio_predio }}</td>
                            <td>{{ $predio->calle }}</td>
                            <td>{{ $predio->colonia }}</td>
                            <td>{{ $predio->poblacion }}</td>
                            <td>{{ $predio->domicilio_notificacion }}</td>
                            <td>
                                <select class="form-select change_noti" aria-label="Seleccione" id-predio="{{ $predio->id }}">
                                    <option value="*">Seleccione Notificador</option>
                                    @foreach($notificadores as $notificador)
                                        <option value="{{ $notificador->id }}" {{ $predio->notificador == $notificador->id ? 'selected' : '' }}>
                                            {{ $notificador->name }}
                                        </option>
                                    @endforeach
                                  </select>
                            
                            </td>
                            <td>
                                <button class="btn btn-primary btn-sm btn-detalles" cuenta="{{ $predio->cuenta }}">
                                    Detalles
                                </button>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>

        <div class="d-flex justify-content-end mt-3">
            {{ $predios->links() }}
        </div>
    </div>

    <div class="modal fade" id="detallesModal" tabindex="-1" aria-labelledby="detallesModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="detallesModalLabel"><strong>Detalles para la cuenta: </strong></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                
                <div class="modal-body">
                    <!-- Pestañas -->
                    <ul class="nav nav-pills nav-fill" id="detallesTab" role="tablist">
                        <li class="nav-item" role="presentation">
                            <a class="nav-link active" id="detalles-tab" data-bs-toggle="tab" href="#detalles" role="tab" aria-controls="detalles" aria-selected="true" >Detalles</span></a> 
                        </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link" id="historial-tab" data-bs-toggle="tab" href="#historial" role="tab" aria-controls="historial" aria-selected="false">Historial</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link" id="notificaciones-tab" data-bs-toggle="tab" href="#notificaciones" role="tab" aria-controls="notificaciones" aria-selected="false">Notificaciones</a>
                        </li>
                    </ul>
                    <hr>
                    <div class="tab-content mt-3" id="detallesTabContent">
                        <!-- Pestaña Detalles -->
                        
                        <div class="tab-pane fade show active" id="detalles" role="tabpanel" aria-labelledby="detalles-tab">
                            @if ($detalles)
                            <div id="detallesContenido">
                                <div class="row">
                                    <h1 class="text-center"><strong>Cuenta:</strong>{{ $detalles->cuenta }}</h1>
                                    <hr>
                                    <div class="col-md-4">
                                        <p><strong>Clave Catastral:</strong><br> {{ $detalles->clave_catastral }}</p>
                                        <p><strong>Domicilio Predio:</strong><br> {{ $detalles->domicilio_predio }}</p>
                                        <p><strong>Domicilio Notificación:</strong><br> {{ $detalles->domicilio_notificacion }}</p>
                                        
                                        <p><strong>Inicio:</strong><br> {{ \Carbon\Carbon::parse($detalles->inicio)->format('d/m/Y') }}</p>
                                        <p><strong>Fin:</strong><br> {{ \Carbon\Carbon::parse($detalles->fin)->format('d/m/Y') }}</p>
                                    </div>
                                    <div class="col-md-4">
                                        <p><strong>Nombre:</strong><br> {{ $detalles->nombre }}</p>
                                        <p><strong>Calle:</strong><br> {{ $detalles->calle }}</p>
                                        <p><strong>Valor Fiscal:</strong><br> {{ number_format($detalles->valor_fiscal, 2) }}</p>
                                        <p><strong>Tasa:</strong><br> {{ number_format($detalles->tasa, 2) }}</p>
                                        <p><strong>Impuesto:</strong><br> {{ number_format($detalles->impuesto, 2) }}</p>
                                        <p><strong>Recargos:</strong><br> {{ number_format($detalles->recargos, 2) }}</p>
                                    </div>
                                    <div class="col-md-4">
                                        <p><strong>Colonia:</strong><br> {{ $detalles->colonia }}</p>
                                        <p><strong>Población:</strong><br> {{ $detalles->poblacion }}</p>
                                        <p><strong>Rezagos:</strong><br> {{ number_format($detalles->rezagos, 2) }}</p>
                                        <p><strong>Gastos:</strong><br> {{ number_format($detalles->gastos, 2) }}</p>
                                        <p><strong>Multas:</strong><br> {{ number_format($detalles->multas, 2) }}</p>
                                        <p><strong>Adeudo:</strong><br> {{ number_format($detalles->adeudo, 2) }}</p>
                                    </div>
                                </div>
                                

                            </div>
                            @else
                            <p>No se encontraron detalles para esta cuenta.</p>
                            @endif
                        </div>
                        <!-- Pestaña Historial -->
                        <div class="tab-pane fade" id="historial" role="tabpanel" aria-labelledby="historial-tab">
                            <div id="historialContenido">
                                @if ($historial)
                                    <div class="accordion" id="historialAccordion">
                                        @foreach($historial as $registro)
                                            <div class="accordion-item">
                                                <h2 class="accordion-header" id="heading{{ $registro->id }}">
                                                    <button class="accordion-button collapsed bg-primary text-white" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{ $registro->id }}" aria-controls="collapse{{ $registro->id }}">
                                                        {{ \Carbon\Carbon::parse($registro->created_at)->translatedFormat('d F Y') }}
                                                    </button>
                                                </h2>
                                                <div id="collapse{{ $registro->id }}" class="accordion-collapse collapse " aria-labelledby="heading{{ $registro->id }}" data-bs-parent="#historialAccordion">
                                                    <div class="accordion-body">
                                                        <div class="row">
                                                            <div class="col-md-4">
                                                                <p><strong>Clave Catastral:</strong><br> {{ $registro->clave_catastral }}</p>
                                                                <p><strong>Domicilio Predio:</strong><br> {{ $registro->domicilio_predio }}</p>
                                                                <p><strong>Domicilio Notificación:</strong><br> {{ $registro->domicilio_notificacion }}</p>
                                                                
                                                                <p><strong>Inicio:</strong><br> {{ \Carbon\Carbon::parse($registro->inicio)->format('d/m/Y') }}</p>
                                                                <p><strong>Fin:</strong><br> {{ \Carbon\Carbon::parse($registro->fin)->format('d/m/Y') }}</p>
                                                            </div>
                                                            <div class="col-md-4">
                                                                <p><strong>Nombre:</strong><br> {{ $registro->nombre }}</p>
                                                                <p><strong>Calle:</strong><br> {{ $registro->calle }}</p>
                                                                <p><strong>Valor Fiscal:</strong><br> {{ number_format($registro->valor_fiscal, 2) }}</p>
                                                                <p><strong>Tasa:</strong><br> {{ number_format($registro->tasa, 2) }}</p>
                                                                <p><strong>Impuesto:</strong><br> {{ number_format($registro->impuesto, 2) }}</p>
                                                                <p><strong>Recargos:</strong><br> {{ number_format($registro->recargos, 2) }}</p>
                                                            </div>
                                                            <div class="col-md-4">
                                                                <p><strong>Colonia:</strong><br> {{ $registro->colonia }}</p>
                                                                <p><strong>Población:</strong><br> {{ $registro->poblacion }}</p>
                                                                <p><strong>Rezagos:</strong><br> {{ number_format($registro->rezagos, 2) }}</p>
                                                                <p><strong>Gastos:</strong><br> {{ number_format($registro->gastos, 2) }}</p>
                                                                <p><strong>Multas:</strong><br> {{ number_format($registro->multas, 2) }}</p>
                                                                <p><strong>Adeudo:</strong><br> {{ number_format($registro->adeudo, 2) }}</p>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        @endforeach
                                    </div>
                                @endif
                            </div>
                            
                        </div>
                        <!-- Pestaña Notificaciones -->
                        <div class="tab-pane fade" id="notificaciones" role="tabpanel" aria-labelledby="notificaciones-tab">
                            <div id="notificacionesContenido">
                                @if (optional($notificaciones)->count() > 0)
                                    <div class="accordion" id="notificacionesAccordion">
                                        @foreach($notificaciones as $notificacion)
                                            <div class="accordion-item">
                                                <h2 class="accordion-header" id="heading{{ $notificacion->id }}">
                                                    <button class="accordion-button collapsed bg-primary text-white" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{ $notificacion->id }}" aria-controls="collapse{{ $notificacion->id }}">
                                                        {{ \Carbon\Carbon::parse($notificacion->created_at)->translatedFormat('d F Y') }}
                                                    </button>
                                                </h2>
                                                <div id="collapse{{ $notificacion->id }}" class="accordion-collapse collapse" aria-labelledby="heading{{ $notificacion->id }}" data-bs-parent="#notificacionesAccordion">
                                                    <div class="accordion-body">
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <p><strong>Cuenta:</strong> {{ $notificacion->cuenta }}</p>
                                                                <p><strong>Tipo de visita:</strong> {{ $notificacion->tipo_visita }}</p>
                                                                <p><strong>Supervisor:</strong> {{ $notificacion->supervisor }}</p>
                                                                <p><strong>Observaciones:</strong> {{ $notificacion->observaciones ?? 'N/A' }}</p>
                                                                <p><strong>Clasificación:</strong> {{ $notificacion->clasificacion ?? 'N/A' }}</p> 
                                                            </div>
                                                            <div class="col-md-6">
                                                                <p><strong>Ejecutor:</strong> {{ $notificacion->ejecutor }}</p>
                                                                <p><strong>Fecha:</strong> {{ \Carbon\Carbon::parse($notificacion->fecha)->translatedFormat('d/m/Y') }}</p>
                                                                <p><strong>Estado:</strong> {{ $notificacion->estado }}</p>
                                                                <p><strong>Fecha de visita:</strong> {{ $notificacion->fecha_visita ? \Carbon\Carbon::parse($notificacion->fecha_visita)->translatedFormat('d/m/Y') : 'N/A' }}</p>
                                                                    @if($notificacion->soporte)
                                                                        <p><strong>Soporte:</strong> <a href="{{ asset('ruta/del/archivo/'.$notificacion->soporte) }}" target="_blank">Ver archivo</a></p>
                                                                    @endif
                                                            </div>
                                                        </div>
                                                        
                                                        
                                                    </div>
                                                </div>
                                            </div>
                                        @endforeach
                                    </div>
                                @else
                                    <hr>
                                    <h1 class="text-center">No hay Notificaciones realizadas</h1>
                                    <hr>
                                @endif
                            </div>
                            
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                </div>
            </div>
        </div>
    </div>

        @push('scripts')
        <script>
            $(document).ready(function () {
                $('[data-bs-toggle="popover"]').popover();


                $(document).on('click', '.btn-detalles', function () {
                var cuenta = $(this).attr('cuenta');
                console.log(cuenta);
                
                // Llamada Livewire para cargar detalles, historial y notificaciones
                Livewire.dispatch('cargarDetallesModal', {cuenta});
                });

                $(document).on('change', '.change_noti', function () {
                    var predioId = $(this).attr('id-predio');
                    var notificadorId = $(this).val();
                    Livewire.dispatch('asignarNotificador', { predioId, notificadorId });
                });

                $(document).on('change', '.fil_noti', function () {
                    @this.set('fnotificador', $(this).val() === "*" ? null : $(this).val());
                });

                $('#searchInput').on('input', function() {
                    @this.set('search', $(this).val());
                });

                $('#paginationSelect').on('change', function() {
                    @this.set('perPage', $(this).val());
                });

                Livewire.hook('morphed', ({ el, component }) => {
                   //Reservado
                });

                Livewire.on('mensaje', (e) => {
                    toastr.options = {
                        positionClass: 'toast-bottom-left',
                        closeButton: true,
                        timeOut: 3000,
                        extendedTimeOut: 1000,
                        progressBar: true
                    };
                    e.modo === 'ok' ? toastr.success(e.msj, 'Correcto!') : 
                    e.modo === 'info' ? toastr.info(e.msj, 'Información') : 
                    toastr.error(e.msj, 'Error');
                });

                Livewire.on('abrirModal', (e) => {
                    $('#detallesModal').modal('show')
                });
            });
        </script>
        @endpush
    
</div>
