<div>
    <form id="formulario">
        @foreach($formulario['estructura']['campos'] as $campo)
            <div class="mb-3">
                <label for="{{ $campo['nombre'] }}">{{ $campo['etiqueta'] ?? ucfirst($campo['nombre']) }}</label>

                @if($campo['tipo'] === 'select' && !empty($campo['opciones']))
                    <select id="{{ $campo['nombre'] }}" name="{{ $campo['nombre'] }}" class="form-control">
                        <option value="">Seleccione...</option>
                        @foreach($campo['opciones'] as $opcion)
                            <option value="{{ $opcion }}">{{ $opcion }}</option>
                        @endforeach
                    </select>

                @elseif($campo['tipo'] === 'coordenadas')
                    <input type="text" id="{{ $campo['nombre'] }}" name="{{ $campo['nombre'] }}" class="form-control" placeholder="Latitud, Longitud">

                @elseif($campo['tipo'] === 'date')
                    <input type="date" id="{{ $campo['nombre'] }}" name="{{ $campo['nombre'] }}" class="form-control">

                @elseif($campo['tipo'] === 'color')
                    <input type="color" id="{{ $campo['nombre'] }}" name="{{ $campo['nombre'] }}" class="form-control form-control-color">

                @elseif($campo['tipo'] === 'radio' && !empty($campo['opciones']))
                    <div>
                        @foreach($campo['opciones'] as $opcion)
                            <div class="form-check">
                                <input class="form-check-input" type="radio" id="{{ $campo['nombre'] }}_{{ $opcion }}" name="{{ $campo['nombre'] }}" value="{{ $opcion }}">
                                <label class="form-check-label" for="{{ $campo['nombre'] }}_{{ $opcion }}">{{ $opcion }}</label>
                            </div>
                        @endforeach
                    </div>

                @elseif($campo['tipo'] === 'checkbox' && !empty($campo['opciones']))
                    <div>
                        @foreach($campo['opciones'] as $opcion)
                            <div class="form-check">
                                <input class="form-check-input" type="checkbox" id="{{ $campo['nombre'] }}_{{ $opcion }}" name="{{ $campo['nombre'] }}[]" value="{{ $opcion }}">
                                <label class="form-check-label" for="{{ $campo['nombre'] }}_{{ $opcion }}">{{ $opcion }}</label>
                            </div>
                        @endforeach
                    </div>

                @elseif($campo['tipo'] === 'range')
                    <input type="range" id="{{ $campo['nombre'] }}" name="{{ $campo['nombre'] }}" class="form-range" min="{{ $campo['min'] ?? 0 }}" max="{{ $campo['max'] ?? 100 }}">

                @else
                    <input type="{{ $campo['tipo'] }}" id="{{ $campo['nombre'] }}" name="{{ $campo['nombre'] }}" class="form-control">
                @endif
            </div>
        @endforeach

        <button type="button" id="enviarDatos" class="btn btn-primary">Guardar</button>
    </form>

    <div id="toastMessage" class="toast align-items-center text-white bg-success border-0" role="alert" aria-live="assertive" aria-atomic="true">
        <div class="d-flex">
            <div class="toast-body"></div>
            <button type="button" class="btn-close btn-close-white me-2 m-auto" data-bs-dismiss="toast" aria-label="Close"></button>
        </div>
    </div>

                  

    @if (session()->has('mensaje'))
        <div class="alert alert-success">
            {{ session('mensaje') }}
        </div>
    @endif

    @foreach ($errors->all() as $error)
    <div class="alert alert-danger">{{ $error }}</div>
@endforeach

    @push('scripts')
<script>
    $(document).ready(function() {
        $('#enviarDatos').click(function() {
            let datos = Object.fromEntries(new URLSearchParams(new FormData($('#formulario')[0])));

            // Agregar variable extra si es necesario
            datos.variableJquery = "Valor desde jQuery";

            Livewire.dispatch('datosRecibidos', { 'datos': datos });
        });


       
    });

    document.addEventListener('livewire:init', () => {
       Livewire.on('formularioProcesado', (event) => {
        console.log(response)
            let toast = $('#toastMessage');
            let toastBody = toast.find('.toast-body');

            if (response.status === 'success') {
                toast.removeClass('bg-danger').addClass('bg-success');
            } else {
                toast.removeClass('bg-success').addClass('bg-danger');
            }

            toastBody.text(response.message);
            let toastBootstrap = new bootstrap.Toast(toast[0]);
            toastBootstrap.show();
       });
    });
</script>
@endpush

</div>


