<div>
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <form id="form">
                    <div class="mb-3">
                        <label for="nombre" class="form-label">Nombre:</label>
                        <input type="text" class="form-control" id="nombre" name="nombre">
                    </div>
                    <div class="mb-3">
                        <label for="apellido" class="form-label">Apellido:</label>
                        <input type="text" class="form-control" id="apellido" name="apellido">
                    </div>
                    <button type="button" class="btn btn-primary" id="enviarDatos">Enviar Datos</button>
                </form>
            </div>
            <div class="col-md-6">
                @if (session()->has('mensaje'))
                    <div class="alert alert-success">
                        {{ session('mensaje') }}
                    </div>
                @endif
            </div>
        </div>
    </div>

    @push('scripts')
    <script>
        $(document).ready(function() {
            $('#enviarDatos').click(function() {
                var formData = new FormData($('#form')[0]); // Captura todo el formulario
                var datos = Object.fromEntries(formData.entries()); // Convierte a objeto JSON
                datos.variableJquery = "Valor desde jQuery"; // Agrega variables adicionales
                console.log(datos); // Muestra los datos en la consola
                Livewire.dispatch('datosRecibidos', { 'datos': datos }); // Dispara el evento
            });
        });
    </script>
@endpush
</div>