<div>

    <div class="row my-3">
        <div class="col-4">
            <input type="text" wire:model.debounce.500ms="search" class="form-control" placeholder="Buscar Usuario..." id="searchInput" data-bs-toggle="popover" data-bs-placement="top" data-bs-trigger="hover focus" data-bs-content="Escriba en este campo una opcion de busqueda en la base de datos.">
        </div>
        <div class="col-4 text-center">
            <button class="btn btn-primary" wire:click="abrirModal()">Agregar un usuario</button>
        </div>
        <div class="col-4 text-end">
            <button onclick="window.location.reload();" class="btn btn-light" data-bs-toggle="popover" data-bs-placement="top" data-bs-trigger="hover" data-bs-content="Recargar sitio">
                <i class="bi bi-arrow-clockwise"></i>
              </button>
            <select wire:model="perPage" class="form-select d-inline-block w-auto" id="paginationSelect" data-bs-toggle="popover" data-bs-placement="top" data-bs-trigger="hover" data-bs-content="Paginación de la tabla">
                <option value="5">5</option>
                <option value="10">10</option>
                <option value="15">15</option>
                <option value="20">20</option>
                <option value="50">50</option>
            </select>
        </div>
    </div>
    
    <!-- Tabla de usuarios -->

    <div class="table-responsive">
        <table class="table table-striped">
            <thead class="table-light">
        <thead>
            <tr>
                <th>#</th>
                <th>Nombre</th>
                <th>Email</th>
                <th>Perfil</th>
                <th>Tema</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($usuarios as $usuario)
                <tr>
                    <td>{{ $loop->iteration }}</td>
                    <td>{{ $usuario->name }}</td>
                    <td>{{ $usuario->email }}</td>
                    <td>{{ ucfirst($usuario->perfiles[0] ?? 'Sin perfil') }}</td>
                    <td>{{ ucfirst(optional(json_decode($usuario->aditional_info))->tema ?? 'N/A') }}</td>
                    <td>
                        @if(in_array('admin', auth()->user()->perfiles ?? []))
                        <button class="btn btn-sm btn-success" wire:click="loginAsUser({{ $usuario->id }})">
                            Login as
                        </button>
                        @endif

                    
                        
                        <button class="btn btn-primary btn-sm btn-editar" cuenta="{{ $usuario->id }}">
                            Editar
                        </button>
                    </td>
                </tr>
            @endforeach
        </tbody>
        </table>
    </div>
    <div class="d-flex justify-content-end mt-3">
        {{ $usuarios->links() }}
    </div>


    

    
    <!-- Modal para editar usuario -->
    @if($modalVisible)
    <div class="modal fade show d-block" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">{{ $modoEdicion ? 'Editar Usuario' : 'Agregar Usuario' }}</h5>
                        <button type="button" class="btn-close " wire:click="$set('modalVisible', false)"" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form id="formulario">
                        @if ($errors->any())
                        <div class="alert alert-danger mt-3">
                            <strong>¡Oops!</strong> Existen errores en algunos campos:
                        </div>
                        @endif
                        <div class="mb-3">
                            <label for="name" class="form-label">Nombre:</label>
                            <input type="name" class="form-control @error('name') is-invalid @enderror" id="name" name="name" value="{{ $modoEdicion ? $user->name : '' }}" placeholder="Nombre del Usuario">
                            @error('name')
                                <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>                    
                        <div class="mb-3">
                            <label for="email" class="form-label">Email:</label>
                            <input type="email" class="form-control @error('email') is-invalid @enderror" id="email" name="email" value="{{ $modoEdicion ? $user->email : '' }}" placeholder="Email del Usuario">
                            @error('email')
                                <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="password" class="form-label">Contraseña:</label>
                            <input type="password" class="form-control @error('password') is-invalid @enderror" id="password" name="password" value="" placeholder="Clave del usuario">
                            @error('password')
                                <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>

                        
                    
                        <div class="mb-3">
                            @php
                                $perfil = isset($user->perfiles[0]) ? $user->perfiles[0] : null; 
                            @endphp

                            <label for="perfiles" class="form-label">Perfil:</label>
                            <select class="form-select @error('perfiles') is-invalid @enderror" id="perfiles" name="perfiles">
                                <option value="admin" {{ $perfil == 'admin' ? 'selected' : '' }}>Administrador</option>
                                <option value="notificador" {{ $perfil == 'notificador' ? 'selected' : '' }}>Notificador</option>
                                <option value="supervisor" {{ $perfil == 'supervisor' ? 'selected' : '' }}>Supervisor</option>
                            </select>

                            @error('perfil')
                                <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                    
                        <div class="mb-3">
                            <label for="tema" class="form-label">Tema:</label>
                            {{-- Asigna el valor a la variable $tema pero no lo imprime --}}
                            @php
                                $tema = isset($user->aditional_info) ? json_decode($user->aditional_info)->tema : null;
                            @endphp

                            <select class="form-select @error('tema') is-invalid @enderror" id="tema" name="tema">
                            <option value="quartz" {{ $tema == 'quartz' ? 'selected' : '' }}>Quartz</option>
                            <option value="lumen" {{ $tema == 'lumen' ? 'selected' : '' }}>Lumen</option>
                            <option value="minty" {{ $tema == 'minty' ? 'selected' : '' }}>Minty</option>
                            <option value="cerulean" {{ $tema == 'cerulean' ? 'selected' : '' }}>Cerulean</option>
                            <option value="cosmo" {{ $tema == 'cosmo' ? 'selected' : '' }}>Cosmo</option>
                            <option value="cyborg" {{ $tema == 'cyborg' ? 'selected' : '' }}>Cyborg</option>
                            <option value="darkly" {{ $tema == 'darkly' ? 'selected' : '' }}>Darkly</option>
                            <option value="flatly" {{ $tema == 'flatly' ? 'selected' : '' }}>Flatly</option>
                            <option value="journal" {{ $tema == 'journal' ? 'selected' : '' }}>Journal</option>
                            <option value="litera" {{ $tema == 'litera' ? 'selected' : '' }}>Litera</option>
                            <option value="lux" {{ $tema == 'lux' ? 'selected' : '' }}>Lux</option>
                            <option value="materia" {{ $tema == 'materia' ? 'selected' : '' }}>Materia</option>
                            <option value="morph" {{ $tema == 'morph' ? 'selected' : '' }}>Morph</option>
                            <option value="pulse" {{ $tema == 'pulse' ? 'selected' : '' }}>Pulse</option>
                            <option value="sandstone" {{ $tema == 'sandstone' ? 'selected' : '' }}>Sandstone</option>
                            <option value="simplex" {{ $tema == 'simplex' ? 'selected' : '' }}>Simplex</option>
                            <option value="sketchy" {{ $tema == 'sketchy' ? 'selected' : '' }}>Sketchy</option>
                            <option value="slate" {{ $tema == 'slate' ? 'selected' : '' }}>Slate</option>
                            <option value="solar" {{ $tema == 'solar' ? 'selected' : '' }}>Solar</option>
                            <option value="spacelab" {{ $tema == 'spacelab' ? 'selected' : '' }}>Spacelab</option>
                            <option value="superhero" {{ $tema == 'superhero' ? 'selected' : '' }}>Superhero</option>
                            <option value="united" {{ $tema == 'united' ? 'selected' : '' }}>United</option>
                            <option value="vapor" {{ $tema == 'vapor' ? 'selected' : '' }}>Vapor</option>
                            <option value="yeti" {{ $tema == 'yeti' ? 'selected' : '' }}>Yeti</option>
                            <option value="zephyr" {{ $tema == 'zephyr' ? 'selected' : '' }}>Zephyr</option>
                            </select>

                        @error('tema')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                    </form>
                    
                    
                    
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" wire:click="$set('modalVisible', false)" data-bs-dismiss="modal">Cerrar</button>
                    <button type="button" class="btn btn-primary ms-auto" id="guardarUsuario">Guardar cambios</button>
                </div>
                
            </div>
        </div>
    </div>
    <div class="modal-backdrop fade show"></div>
    @endif


    @push('scripts')
        <script>
            $(document).ready(function () {
                // Evento para abrir el modal al editar
                $(document).on('click', '.btn-editar', function () {
                    var id = $(this).attr('cuenta');
                    console.log(id);
                    // Llamada Livewire para cargar los datos del usuario en el modal
                    Livewire.dispatch('abrirModal', {id});
                });
                $('#searchInput').on('input', function() {
                    @this.set('search', $(this).val());
                });
                $('#paginationSelect').on('change', function() {
                    @this.set('perPage', $(this).val());
                });
                $(document).on('click', '#guardarUsuario', function () {

                    
                    var datos = {};
                    $('#formulario').find('hidden, input, select, textarea').each(function () {
                        datos[$(this).attr('name')] = $(this).val();
                    });
                    Livewire.dispatch('guardarUsuario', {'datos': datos });
                    
                });

                // Configuración de notificaciones
                Livewire.on('mensaje', (e) => {
                    console.log(e);
                    toastr.options = {
                        positionClass: 'toast-bottom-left',
                        closeButton: true,
                        timeOut: 3000,
                        extendedTimeOut: 1000,
                        progressBar: true
                    };
                    e.modo === 'ok' ? toastr.success(e.msj, 'Correcto!') : 
                    e.modo === 'info' ? toastr.info(e.msj, 'Información') : 
                    toastr.error(e.msj, 'Error');
                });

                // Evento para abrir el modal de detalles
                Livewire.on('abrirModal', () => {
                    $('#modalEditarUsuario').modal('show');
                });
                Livewire.on('cerrarModal', () => {
                    console.log('cerrarModal');
                    $('#modalEditarUsuario').modal('hide');
                });
            });
        </script>
    @endpush
</div>
