<?php
use App\Http\Controllers\Auth\AuthenticatedSessionController;
use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;
use App\livewire\Login;
use App\livewire\Dashboard;
use App\Livewire\Modulos;
use App\Livewire\Prueba;
use App\Livewire\Primero;
use App\Livewire\Gastos;
use App\Livewire\Predios;
use App\Livewire\Apremios;
use App\Livewire\Pagos;
use App\Livewire\Usuarios;
use App\Livewire\PrediosExcelCargar;
use App\Livewire\PagosExcelCargar;
use App\Livewire\VerNotificaciones;
 
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
Route::get('/', Login::class)->name('home');

Route::middleware('auth', 'verified')->group(function () {
    Route::get('/dashboard', Dashboard::class)->name('dashboard');
    // Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::get('/pertil', [ProfileController::class, 'edit'])->name('perfil');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    // Route::delete('/profile', [ProfileController::class, 'update'])->name('profile.destroy');
    Route::post('/salir', [AuthenticatedSessionController::class, 'destroy'])->name('salir');
    Route::get('/personalizar',[ProfileController::class, 'update'])->name('personalizar');
    Route::get('/ayuda',[ProfileController::class, 'update'])->name('ayuda');
    Route::get('/modulo/{name}', Modulos::class)->name('formulario');
    Route::get('/prueba', Prueba::class)->name('prueba');
    Route::get('/primero', Primero::class)->name('primero');
    Route::get('/gastos', Gastos::class)->name('gastos');
    Route::get('/predios', Predios::class)->name('predios');
    Route::get('/apremios', Apremios::class)->name('apremios');
    Route::get('/pagos', Pagos::class)->name('pagos');
    Route::get('/usuarios', Usuarios::class)->name('usuarios');
    Route::get('/importar', PrediosExcelCargar::class)->name('importar');
    Route::get('/importarpagos', PagosExcelCargar::class)->name('importarPagos');
    Route::get('/notificaciones', VerNotificaciones::class)->name('notificaciones');
});

Route::fallback(function () {
    return redirect()->route('dashboard');
});


require __DIR__.'/auth.php';
